Subject: Re: [PATCH 3/4] gitweb: Don't append ';js=(0|1)' to external links

From: Jakub Narębski <[email-masked]>
Date: Tue, 09 Apr 2013 19:59:05 +0200

W dniu 09.04.2013 19:54, Jürgen Kreileder napisał:
> Jakub Narębski <[email-masked]> writes:
> 
>> Jürgen Kreileder wrote:
>>
>>> Don't add js parameters to links outside of gitweb itself.
>>
>> Hmmm... this limits adding ';js=(0|1)' to only links which begin with
>> $my_url, i.e. absolute links beginning with gitweb's base URL.
>>
>> Wouldn't that mean that most internal gitweb-generated links wouldn't
>> get ';js=(0|1)'?  href(..., -full => 1) is not the default...
> 
> No, link.href is always absolute in JavaScript - even if the emitted URL
> was relative.

Thanks, I didn't know that.

So, with that explanation:

Acked-by: Jakub Narebski <[email-masked]>

> Old: https://git.blackdown.de/old.cgi?p=contactalbum.git;a=summary;js=1
> New: https://git.blackdown.de/?p=contactalbum.git;a=summary;js=1
> 
> With the old version the external links in the description got ';js=1'
> appended.  With the new version, ';js=1' isn't on those links.
> Other links are the same in both versions.

Thanks.  This is a nice solution for a problem which I didn't know
how to solve (I was thinking about using <a class="internal" ...>,
but your solution is better).

-- 
Jakub Narębski